
%define realname progressbar

# Upstream does not release new versions. Use the latest GitHub commit instead.
# This was reported several times:
#  https://github.com/niltonvolpato/python-progressbar/issues/41
#  https://github.com/niltonvolpato/python-progressbar/issues/56
%global snapshot_date 20170808
%global git_commit 32422c1

Name:           python-%{realname}
Version:        2.3
Release:        12.%{snapshot_date}git%{git_commit}%{?dist}
Summary:        Text progressbar library for python

Group:          Development/Libraries
License:        LGPLv2+ or BSD
URL:            https://github.com/niltonvolpato/%{name}
Source0:        https://github.com/niltonvolpato/%{name}/tarball/%{git_commit}#/niltonvolpato-%{name}-%{git_commit}.tar.gz
Patch0:         progressbar-interrupt.patch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description

This library provides a text mode progress bar. This is typically used to 
display the progress of a long running operation, providing a visual clue that 
processing is under way.

The progressbar module is very easy to use, yet very powerful. And 
automatically supports features like auto-re-sizing when available.

%package -n python2-%{realname}
Summary:        Text progressbar library for Python 2
%{?python_provide:%python_provide python2-%{realname}}

%description -n python2-%{realname}

This library provides a text mode progress bar. This is typically used to 
display the progress of a long running operation, providing a visual clue that 
processing is under way.

The progressbar module is very easy to use, yet very powerful. And 
automatically supports features like auto-re-sizing when available.

%package -n python3-%{realname}
Summary:        Text progressbar library for Python 3
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}

This library provides a text mode progress bar. This is typically used to 
display the progress of a long running operation, providing a visual clue that 
processing is under way.

The progressbar module is very easy to use, yet very powerful. And 
automatically supports features like auto-re-sizing when available.

%prep
%setup -q -n niltonvolpato-%{name}-%{git_commit}

%patch0 -p1 -b .interrupt

# Remove the shebang from __init__.py, which is not an executable script
sed '1{\@^#!.*$@d}' -i progressbar/__init__.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
 

%files -n python2-progressbar
%defattr(-,root,root,-)
%doc LICENSE.txt
%doc README.txt
%{python2_sitelib}/*

%files -n python3-progressbar
%defattr(-,root,root,-)
%doc LICENSE.txt
%doc README.txt
%{python3_sitelib}/*

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.3-12.20170808git32422c1
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-11.20170808git32422c1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 08 2017 Petr Viktorin <pviktori> - 2.3-10.20170808git32422c1
- Update to latest Git snapshot (upstream does not release new versions)
- Support Python 3
- Switch from Google Code to GitHub
- Modernize specfile

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Christof Damian <christof@damian.net> - 2.3-2
- added interrupt patch bug #965919

* Sat Apr 27 2013 Christof Damian <christof@damian.net> - 2.3-1
- upstream 2.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 8 2009 Christof Damian <christof@damian.net> 2.2-5
- don't include sitelib in files 

* Thu Jan 8 2009 Christof Damian <christof@damian.net> 2.2-4
- change the attributes of progressbar.py in install

* Thu Jan 8 2009 Christof Damian <christof@damian.net> 2.2-3
- changed attributes for progressbar.py, it contains excuteable examples

* Tue Jan 6 2009 Christof Damian <christof@damian.net> 2.2-2
- remove version from upstream url

* Sat Jan 3 2009 Christof Damian <christof@damian.net> 2.2-1
- initial spec file
